Subscriptions
Update subscription custom fields
Developer API operation for PATCH /dev/v1/subscriptions//custom-fields.
PATCH
/
dev
/
v1
/
subscriptions
/
{id}
/
custom-fields
Update subscription custom fields
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/subscriptions/{id}/custom-fields \
--header 'Authorization: Bearer <token>'const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/subscriptions/{id}/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/subscriptions/{id}/custom-fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/subscriptions/{id}/custom-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/subscriptions/{id}/custom-fields"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}Previous
List subscription billing historyDeveloper API operation for GET /dev/v1/subscriptions/{id}/billing-history.
Next
⌘I
Update subscription custom fields
